2004 to 2020 Mazda 3 Forum and Mazdaspeed 3 Forums banner
1 - 3 of 3 Posts

·
Registered
Joined
·
1 Posts
Discussion Starter · #1 ·
Hey Guys,

First of all, thanks for having me. My name is Jasper, recently bought a 2016 Mazda 3 Snowflake Pearl hatchback automatic gearbox with 46.000km on it. It drives very smoothly and is technically in tip-top shape.

But! I took it to the dealer for a Carplay upgrade but they told me they couldn't upgrade my software due to it being a Dubai car, not European. They said if they update it might fail and cost me 1350€ for replacing the MZD computer.

Does this make any sense? Can't I update my system or will I have to replace my MZD computer anyway for new updates?

They said my system is on 0.54 and the latest models have version 0.74 so im behind on updates a lot.

Thanks in advance for your reply!
 

·
Registered
Mazda3 04/2017 BN 120 HP Sports-Line
Joined
·
49 Posts
Hi from Germany,

please check exactly your firmware-version in your MZD. 54.00.... or 59.00.... This is important for the next firmware-update. AA/CP works with 70.000.100A or higher. Forget the 74.00.... Version (I think it is only for the US-market). It is possible to cross-update from Asia-Firmware to Europe-Firmware. But I don´t know, if the radio-freq. are the same? I think your car has no DAB-Radio-Hardware inside ... What happend if you listen to your favourite radio-station in NL? Is the freg. the same as in your old car? Firmware-Update und AA/CP-Hardware upgrade ist not the problem.

bye
Gruni
 

·
Registered
Joined
·
2,045 Posts
Dealers have access to 70.00.100 and to the latest version (in Germany currently 70.00.367) only. In NL it might be already 74.00.230 EU which I do not know. So far it was available for North America (NA) region only.

If you have FW 54 installed, the dealer has to update to 70.00.100 anyway - thats what Mazda tells their dealers (if you are below a certain FW, they have to install 70.00.100 in between before updating to the latest FW). If you have FW 59 the latest firmware can be installed directly. Or you ask them to install 70.00.100 only - which is also working fine for AA/CP. And if the dealer sticks to the procedere, it should work. I "cross-updated" firmware of different regions myself a lot and it worked.
 
1 - 3 of 3 Posts
Top